#include "ej12.h"
#include <iostream>

using namespace std;

Complejo::Complejo(double r, double i)
{
  real = r;
  imaginaria = i;
}

void Complejo::verDatos()
{
  cout << real << " ";
  if (imaginaria >= 0) cout << "+";
  else cout << "-";
  cout << " " << imaginaria << "i" << endl;
}

double Complejo::getReal() 
{
  return real;
}

double Complejo::getImaginaria()
{
  return imaginaria;
}

void Complejo::suma(Complejo c1)
{
  real += c1.getReal();
  imaginaria += c1.getImaginaria();
}

void Complejo::resta(Complejo c1)
{
  real -= c1.getReal();
  imaginaria -= c1.getImaginaria();
}

void Complejo::multiplica(Complejo c1)
{
  real       = real * c1.getReal()       - imaginaria * c1.getImaginaria();
  imaginaria = real * c1.getImaginaria() + imaginaria * c1.getReal();
}

void Complejo::multiplicaReal(double valor)
{
  real       *= valor;
  imaginaria *= valor;
}

void Complejo::conjugado()
{
  imaginaria *= -1;
}

int main() 
{
  Complejo c1(2,3);
  Complejo c2(3,4);
  c1.verDatos();
  c1.suma(c2);
  c1.verDatos();
  c1.multiplica(c2);
  c1.verDatos();
  c1.multiplicaReal(2);
  c1.verDatos();
  c1.conjugado();
  c1.verDatos();

}
