#include "ej6.h"
#include <iostream>
#include <math.h>

using namespace std;

Punto::Punto(double x1, double y1) 
{
  x = x1;
  y = y1;
}

double Punto::getX() 
{
  return x;
}

double Punto::getY() 
{
  return y;
}

void Punto::leerDatos()
{
  cout << "Introduzca la coordenada x:" << endl;
  cin >> x;
  cout << "Introduzca la coordenada y:" << endl;
  cin >> y;
}

void Punto::verDatos()
{
  cout << "x: " << x << " y: " << y << endl;
}

double Punto::distanciaEje()
{
  return sqrt(x*x+y*y);
}

double Punto::distanciaA(Punto p2) 
{
  return sqrt( pow(x-p2.getX(),2.0) + pow(y-p2.getY(),2.0) );
}

int Punto::cuadrante() 
{
  int cuadrante=0;
  if      (x>=0 && y>=0) cuadrante = 1;
  else if (x<0 && y>0)   cuadrante = 2;
  else if (x<0 && y<0)   cuadrante = 3;
  else if (x>0 && y<0)   cuadrante = 4;

  return cuadrante;
}

int main() 
{
  Punto p1(2,3);
  Punto p2(-2,3);
  Punto p3(-2,-3);
  Punto p4(5,-6);
  cout << "el punto p1 se encuetnra en el cuadrante " << p1.cuadrante() << endl;
  cout << "el punto p2 se encuetnra en el cuadrante " << p2.cuadrante() << endl;
  cout << "el punto p3 se encuetnra en el cuadrante " << p3.cuadrante() << endl;
  cout << "el punto p4 se encuetnra en el cuadrante " << p4.cuadrante() << endl;
}
